package com.goldenwater.slgc.service.pms;

import com.goldenwater.slgc.entity.pms.PmsContractFee;
import java.util.List;

public interface IPmsContractFeeService {
    /**
     * 查询合同费用列表
     */
    List<PmsContractFee> selectList(PmsContractFee contractFee);

    /**
     * 根据主键查询合同费用
     */
    PmsContractFee selectById(Long id);

    /**
     * 新增合同费用
     */
    int insert(PmsContractFee contractFee);

    /**
     * 修改合同费用
     */
    int update(PmsContractFee contractFee);

    /**
     * 删除合同费用
     */
    int deleteById(Long id);

    /**
     * 批量删除合同费用
     */
    int deleteByIds(Long[] ids);

    /**
     * 根据合同ID查询合同费用列表
     */
    List<PmsContractFee> selectByConId(Long conId);
}
